Skip to main content
POST
/
{org}
/
{repo}
/
changes
Create change
curl --request POST \
  --url https://api.mesa.dev/v1/{org}/{repo}/changes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "base_change_id": "<string>",
  "message": "<string>",
  "files": []
}
'
{
  "id": "<string>",
  "current_commit_oid": "<string>",
  "is_conflicted": true,
  "message": "<string>",
  "author": {
    "name": "<string>",
    "email": "jsmith@example.com",
    "date": "2023-11-07T05:31:56Z"
  },
  "committer": {
    "name": "<string>",
    "email": "jsmith@example.com",
    "date": "2023-11-07T05:31:56Z"
  },
  "parents": [
    "<string>"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}
Required scope: write

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

org
string
required

Organization slug

Minimum string length: 1
repo
string
required

Repository name

Minimum string length: 1

Body

application/json
base_change_id
string
required

Change to create the new change on top of. Use the virtual root change id (zzzzzzzzzzzzzzzzzzzzzzzzzzzzzzzz) to create the first change in an empty repository.

Pattern: ^[zyxwvutsrqponmlk]{32}$
message
string

Description for the newly created change. When optional, omit to create the change with no description; empty string is allowed and also means no description.

author
object
committer
object
files
object[]

Response

Change created

id
string
required
Pattern: ^[zyxwvutsrqponmlk]{32}$
current_commit_oid
string
required
Pattern: ^[0-9a-f]{40}$
is_conflicted
boolean
required

True when the change current commit still contains unresolved conflicts

message
string
required

Current change description. Empty string means the change has no description.

author
object
required
committer
object
required
parents
string[]
required

Parent change IDs for this change

created_at
string<date-time>
required
updated_at
string<date-time>
required